<?php
add_shortcode('wfm_food_menu', 'wfm_product');

function wfm_getvarprice(){
    global $woocommerce;
    ini_set('display_errors','Off');
    $var_id=$_POST['wfm_var_id'];
     $product = wc_get_product($var_id);                
     $product_price=woocommerce_price($product->get_price());
     echo $product_price;
     exit();  
}
function wfm_addtocart() {
  global $woocommerce;
  ini_set('display_errors','Off'); 
  //$vid=$_POST['wfm_prod_var_id'];
  $pid=$_POST['wfm_prod_id'];
  $vid=$_POST['wfm_prod_var_id'];
  $pqty=$_POST['wfm_prod_qty'];
 
  if($vid==0){    
	$product = wc_get_product($pid);
    $bool=$product->is_sold_individually();
    if($bool==1){
      $chk_cart=wfm_check_cart_item_by_id($pid);
      if($chk_cart==0){
        echo 'Already added to cart';
        exit;
      }
    }
  }else{
	$product = wc_get_product($vid);
    $bool=$product->is_sold_individually();
    if($bool==1){      
      $chk_cart=wfm_check_cart_item_by_id($vid);
      if($chk_cart==0){
        echo 'Already added to cart';
        exit;
      }
    }
  }

  $stock=$product->get_stock_quantity();
  $availability = $product->get_availability();
  
  if($availability['class']=='out-of-stock'){
    echo 'Out of stock';
    exit;
  }
       
  if($stock!=''){
    	foreach($woocommerce->cart->cart_contents as $cart_item_key => $values ) {
        $c_item_id='';
        $c_stock='';
        if($values['variation_id']!=''){
          $c_item_id=$values['variation_id'];
        }else{
          $c_item_id=$values['product_id'];
        }
        $c_stock=$values['quantity']+$pqty;
        
        if($vid==0 && $pid==$c_item_id && $c_stock>$stock){
          $product = wc_get_product($pid);		  
          echo 'You have cross the stock limit';
          exit;
        }else if($vid==$c_item_id && $c_stock>$stock){
          $product = wc_get_product($vid);
          echo 'You have cross the stock limit';
          exit;
        }        
	   }    
  }

  if($vid==0){
    $z=$woocommerce->cart->add_to_cart($pid,$pqty,null, null, null );
  }else{    
    $z=$woocommerce->cart->add_to_cart($pid, $pqty, $vid, $product->get_variation_attributes(),null);
  }  
  echo '1';  
  exit;
}

function wfm_check_cart_item_by_id($id) { 
	global $woocommerce;
	
	foreach($woocommerce->cart->get_cart() as $cart_item_key => $values ) {
		$_product = $values['data'];
		if($id == $_product->id) {
			return 0;
		}
	}	
	return 1;
}

function wfm_cart_amount(){
  global $woocommerce;
  echo $woocommerce->cart->get_cart_total();  
  exit;
}


function wfm_product($val) {
  
  if(is_admin()) {
    return false;
  }
  if (!class_exists('Woocommerce')) {
    ob_start();
    echo '<div id="message" class="error"><p>Please Activate Wp WooCommerce Plugin</p></div>';
    $var = ob_get_contents();
    ob_end_clean();
    return $var;
  }
  ob_start();
  echo wfm_product2($val);  
  $output_string = ob_get_contents();
  ob_end_clean();
  //return 'Helloz';
  return $output_string;  
}

function wfm_product2($val) {  
  global $woocommerce;
  if(get_option('wfm_image_size')){
    $wfm_img_size=get_option('wfm_image_size');
  }else{
    $wfm_img_size=40;
  }
  
  $wfm_menu_bg_color='FF0000';
  $wfm_menu_hover_color='222222';
  $wfm_menu_text_color='FFFFFF';  
  $wfm_submenu_bg_color='FFFFFF';
  $wfm_prod_name_color='000000';
  $wfm_prod_name_hover_color='FFFFFF';
  $wfm_prod_des_color='000000';
  
  $wfm_search_bg_color='ffffff';
  $wfm_search_border_color='FF0000';
  $wfm_search_text_color='FF0000'; 
  
  $wfm_item_bg='cccccc';
  $wfm_border='f6f6f6';
  
  if(get_option('wfm_search_bg_color')){$wfm_search_bg_color=get_option('wfm_search_bg_color');}
  if(get_option('wfm_search_border_color')){$wfm_search_border_color=get_option('wfm_search_border_color');}
  if(get_option('wfm_search_text_color')){$wfm_search_text_color=get_option('wfm_search_text_color');}
  
  if(get_option('wfm_menu_bg_color')){$wfm_menu_bg_color=get_option('wfm_menu_bg_color');}
  if(get_option('wfm_menu_hover_color')){$wfm_menu_hover_color=get_option('wfm_menu_hover_color');}
  if(get_option('wfm_menu_text_color')){$wfm_menu_text_color=get_option('wfm_menu_text_color');}  
   
  if(get_option('wfm_submenu_bg_color')){$wfm_submenu_bg_color=get_option('wfm_submenu_bg_color');}
  if(get_option('wfm_prod_name_color')){$wfm_prod_name_color=get_option('wfm_prod_name_color');}
  if(get_option('wfm_prod_name_hover_color')){$wfm_prod_name_hover_color=get_option('wfm_prod_name_hover_color');}
  if(get_option('wfm_prod_des_color')){$wfm_prod_des_color=get_option('wfm_prod_des_color');}

  if(get_option('wfm_item_bg')){$wfm_item_bg=get_option('wfm_item_bg');}
  if(get_option('wfm_border')){$wfm_border=get_option('wfm_border');}
  
  ?>
  <style>
    .wfm_search{
      <?php 
      echo 'background:#'.$wfm_search_bg_color.'!important;';
      echo 'border:2px solid #'.$wfm_search_border_color.'!important;';
      echo 'color:#'.$wfm_search_text_color.'!important;';
      ?>
    }
    .glossymenu a.menuitem{
      font: bold "Lucida Grande", "Trebuchet MS", Verdana, Helvetica, sans-serif;
      font-size: 16px;
      <?php echo 'background:#'.$wfm_menu_bg_color.';';?>
    }
    .glossymenu div.submenu{ /*DIV that contains each sub menu*/
      <?php echo 'background:#'.$wfm_submenu_bg_color.';';?>
     }
    .glossymenu a.menuitem:hover{
      <?php echo 'background:#'.$wfm_menu_hover_color.';';?>
    }
    .glossymenu a.menuitem{
      <?php echo 'color:#'.$wfm_menu_text_color.'!important;';?>
    }  
    .glossymenu div.submenu ul li a{
      <?php echo 'color:#'.$wfm_menu_text_color.'!important;';?>
    }
    .wfm_name{
      color: black;
      font-size: 13px;
      font-weight: bold;
    }
    .wfm_name a{
      <?php echo 'color:#'.$wfm_prod_name_color.';';?>
     }
     .wfm_name a:hover{
      <?php echo 'color:#'.$wfm_prod_name_hover_color.';';?>
     }
    .wfm_des{
      <?php echo 'color:#'.$wfm_prod_des_color.';';?>
      font-size: 11px;
      line-height: 15px;
    }
    .wfm_des a{
      <?php echo 'color:#'.$wfm_prod_name_color.';';?>
    }
    .alert-info {
        <?php echo 'background-color:#'.$wfm_menu_text_color.';';
         echo 'border-color:#'.$wfm_menu_bg_color.';';
         echo 'color:#'.$wfm_menu_bg_color.';';?>
    }

    .wfm_table tr{  
      <?php
      echo 'border-bottom:solid 10px #'.$wfm_border.'!important;';
      echo 'background:#'.$wfm_item_bg.'!important;';
      ?>
    }
    .rwd-table tr {
      border-bottom: unset!important;
    }
    .wrs_cf_table tr{
      border-bottom: unset!important;
    }
  </style>
  <?php
  if(get_option('wfm_display_mini_cart')==1){
  ?>
<link rel='stylesheet'  href='<?php echo WFM_BASE_URL.'/css/template_'.get_option('wfm_cart_template').'.css'; ?>' type='text/css' />
<?php
  }
  //$cart_url = $woocommerce->cart->get_cart_url();
  $cart_url=wc_get_cart_url();
  ?>
<div class="span4 alertAdd" style="opacity: 1; display: block;">
  <div class="alert alert-info"id="wfm_alert_info" style="display: none;"><?php _e("Added to your cart","wfm-lang");?> </div>
</div>

<?php if(get_option('wfm_display_mini_cart')==1){ ?>
<div id="wfm_cart_amount" class="wfm_cart_amount">
  <a href="<?php echo$cart_url;?>"><div id="wfm_cart_price" class="wfm_cart_price"><?php echo $woocommerce->cart->get_cart_total(); ?></div></a>  
</div>
<?php }?>


 

<script>
  jQuery(document).ready(function() {
	jQuery('.simple-ajax-popup-align-top').magnificPopup({
      type: 'ajax',		
      overflowY: 'scroll'
    });
  });
  //-------------------------------------
  var img_url_plus = '<?php echo WFM_BASE_URL; ?>/images/plus.png';
  var img_url_minus = '<?php echo WFM_BASE_URL; ?>/images/minus.png';

  var acc_index='[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30]';
  
  ddaccordion.init({
    headerclass: "submenuheader", //Shared CSS class name of headers group
    contentclass: "submenu", //Shared CSS class name of contents group
    revealtype: "click", //Reveal content when user clicks or onmouseover the header? Valid value: "click", "clickgo", or "mouseover"
    mouseoverdelay: 500, //if revealtype="mouseover", set delay in milliseconds before header expands onMouseover
    collapseprev: false, //Collapse previous content (so only one open at any time)? true/false 
    defaultexpanded: [<?php if(get_option('wfm_display_type')){echo '0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30';} ?>], //index of content(s) open by default [index1, index2, etc] [] denotes no content
    onemustopen: false, //Specify whether at least one header should be open always (so never all headers closed)
    animatedefault: true, //Should contents open by default be animated into view?
    persiststate: false, //persist state of opened contents within browser session?
    toggleclass: ["", ""], //Two CSS classes to be applied to the header when it's collapsed and expanded, respectively ["class1", "class2"]
    //togglehtml: ["suffix", "<img src='"+img_url_plus+"' class='statusicon' />", "<img src='"+img_url_minus+"' class='statusicon' />"],
    togglehtml: ["suffix", img_url_plus, img_url_minus],
    animatespeed: "slow", //speed of animation: integer in milliseconds (ie: 200), or keywords "fast", "normal", or "slow"
    oninit:function(headers, expandedindices){ //custom code to run when headers have initalized
      //do nothing
    },
    onopenclose:function(header, index, state, isuseractivated){
      //do nothing
    }
  })  
  //------------------------------------
  
  //jQuery('#dropdown_product_cat option[value=]').text('All products');
  function wfm_ddl(var_id, id){
    var_id=var_id.value;
    jQuery('#wfm_var_id_'+id).val(var_id);
    var ajax_url = '<?php echo admin_url( 'admin-ajax.php' ); ?>';
    jQuery.ajax({
              type: "POST",
              url:ajax_url,
              data : {'action': 'wfm_getvarprice',
                'wfm_var_id':     var_id
              },
              success: function(data){
                jQuery('#wfm_price_'+id).html(data);
              }
            });
  }
  
  function wfm_add_prod(pid,vid){
    jQuery("#wfm_loader"+pid).show();
   
    var vid= jQuery('#wfm_var_id_'+pid).val();
    var qty= jQuery('#product_qty_'+pid).val(); 
    
    if(qty==0 || qty==''){
      jQuery('#wfm_alert_info').text('Quantity can not be less than 1');
      jQuery('#wfm_alert_info').show()
      setTimeout(function(){jQuery('#wfm_alert_info').hide()}, 1500);      
      return false;
    }
    if(qty>1000){
      jQuery('#wfm_alert_info').text('You have cross the quantity limit');
      jQuery('#wfm_alert_info').show()
      setTimeout(function(){jQuery('#wfm_alert_info').hide()}, 1500);      
      return false;
    }
    if(vid==0){
      qty= jQuery('#product_qty_'+pid).val();
    }
  
    
    var ajax_url2 = '<?php echo admin_url( 'admin-ajax.php' ); ?>';
    //alert(ajax_url2);
    var ajax_url = '<?php echo WFM_BASE_URL; ?>';
    ajax_url+='/includes/wfm-add-cart2.php';  
    var frm = jQuery('.cf_frm_'+ pid);
        jQuery.ajax({
          type: "POST",
          url:ajax_url,
          data : {
                  //'action':          'wfm_addtocart',
                  'wfm_prod_id':     pid,
                  'wfm_prod_var_id': vid,
                  'wcf_data': frm.serialize(),
                  'wfm_prod_qty':    qty
          },
          success: function(response){          
            if(response==1){
              jQuery('#wfm_alert_info').text('Added to your cart');
              wfm_updateCartFragment();
            }else{
              jQuery('#wfm_alert_info').text(response);
            }
            
            jQuery.ajax({
              type: "POST",
              url:ajax_url2,
              data : {'action': 'wfm_cart_amount'},
              success: function(data){                
                jQuery('#wfm_cart_price').html(data);
              }
            });
            
             jQuery('#wfm_alert_info').show()
             setTimeout(function(){jQuery('#wfm_alert_info').hide()}, 2000);
             jQuery("#wfm_loader"+pid).hide();
          }
        });        
  }
  
  jQuery(document).ready(function(){
    jQuery(".ajax").colorbox();
  });
  function wfm_updateCartFragment() {
    //alert(woocommerce_params.ajax_url);
  var ajax_url2 = '<?php echo admin_url( 'admin-ajax.php' ); ?>';
  $fragment_refresh = {
    //url: woocommerce_params.ajax_url,
    url: ajax_url2,
    type: 'POST',
    data: { action: 'woocommerce_get_refreshed_fragments' },
    success: function( data ) {
      if ( data && data.fragments ) {          
          jQuery.each( data.fragments, function( key, value ) {
              jQuery(key).replaceWith(value);
          });


          //if ( $supports_html5_storage ) {
          if(window.localStorage) {            
              sessionStorage.setItem( "wc_fragments", JSON.stringify( data.fragments ) );
              sessionStorage.setItem( "wc_cart_hash", data.cart_hash );
          }                
          jQuery('body').trigger( 'wc_fragments_refreshed' );
      }
    }
  };

  //Always perform fragment refresh
  jQuery.ajax( $fragment_refresh );  
  }
  var plugin_url='<? echo WFM_BASE_URL; ?>/includes/wfm-popup-data.php';
</script>  
<?php
    if($val){
      //die('++++');
      echo '<div class="glossymenu">';
      $id= $val['category_id'];


      $cat_ids=explode(",",$id);
      if(!empty($cat_ids)){
        foreach($cat_ids as $key) { 
          $product_category =  get_term_by( 'id', $key, 'product_cat', 'ARRAY_A' );
          if(!empty($product_category )){
            echo '<a class="menuitem submenuheader">'.$product_category['name'].'</a>';//menu cat
              $args = array(
                'post_type'				=> 'product',
                'post_status' 			=> 'publish',			
                'orderby' 				=> 'title',
                'order' 				      => 'asc',
                'type' => 'numeric',
                'posts_per_page' 		=> 200,
                'tax_query' 			=> array(
                      array(
                      'taxonomy' 		=> 'product_cat',
                      'terms' 		=> array( esc_attr($product_category['slug']) ),
                      'field' 		=> 'slug',
                      'operator' 		=> 'IN'
                    )
                  )
              );
            $loop = new WP_Query( $args );
            wfm_show_prod2($loop, $wfm_img_size);
          }  
        } 

      }

}else{
  echo '<div class="glossymenu">';
  if(isset($_POST['wfm_hval']) && isset($_POST['product_cat']) && $_POST['product_cat']!=''){    
         //$exc_cats_slug=  explode(',', get_option('wfm_exc_cat'));
         $args = array(
          'post_type'				=> 'product',
          'post_status' 			=> 'publish',			
          'orderby' 				=> 'title',
          'order' 				      => 'asc',
          'type' => 'numeric',
          'posts_per_page' 		=> 200,
          /*'meta_query' 			=> array(
            array(
              'key' 			=> '_visibility',
              'value' 		=> array('catalog', 'visible'),
              'compare' 	=> 'IN'
            )
          ),*/
          'tax_query' 			=> array(
                array(
                'taxonomy' 		=> 'product_cat',
                'terms' 		=> array( esc_attr($_POST['product_cat']) ),
                'field' 		=> 'slug',
                'operator' 		=> 'IN'
              )
            )
        );
       
       $cat_data = get_term_by( 'slug', $_POST['product_cat'], 'product_cat', 'ARRAY_A' );
             
       echo '<a class="menuitem submenuheader">'.$cat_data['name'].'</a>';//menu cat
       
       $loop = new WP_Query( $args );
       
       wfm_show_prod2($loop, $wfm_img_size);
  }else{
    $exc_cats_slug=array();
    if (get_option('wfm_exc_cat')){
          $exc_cats_slug=  explode(',', get_option('wfm_exc_cat'));
    }
    
    $term 			= get_queried_object();
    $parent_id 		= empty( $term->term_id ) ? 0 : $term->term_id;
    $args2 = array(
      'parent'       => $parent_id,
      'child_of'     => $parent_id,
      'menu_order'   => 'ASC',
      'hide_empty'   => 1,
      'hierarchical' => 1,
      'taxonomy'     => 'product_cat',
      'terms' 		=> 'bag',
      'field' 		=> 'slug'
    );
		
		$product_categories = get_categories( $args2  );
    //$total = sizeof($product_categories);
    
    foreach ($product_categories as $cat_data){        
          $args = array(
            'post_type'				=> 'product',
            'post_status' 			=> 'publish',			
            'orderby' 				=> 'title',
            'order' 				      => 'asc',
            'type' => 'numeric',
            'posts_per_page' 		=> 200,
            /*'meta_query' 			=> array(
              array(
                'key' 			=> '_visibility',
                'value' 		=> array('catalog', 'visible'),
                'compare' 	=> 'IN'
              )
            ),*/
            'tax_query' 			=> array(
                  array(
                  'taxonomy' 		=> 'product_cat',
                  'terms' 		=> array( esc_attr($cat_data->slug) ),
                  'field' 		=> 'slug',
                  'operator' 		=> 'IN'
                )
              )
          );
        $loop = new WP_Query( $args );               
        echo '<a class="menuitem submenuheader">'.$cat_data->name.'</a>';//menu cat
        wfm_show_prod2($loop, $wfm_img_size);        
    }
  }
}
  echo '</div>';//glossymenu end
  
  ?>
      <script>
  function wcf_checkbox_val2(d){
     var pid=jQuery(d).attr('data-pid');     
     wcf_get_additional_cost2(pid);     
   }

   jQuery( document ).ready(function() {     
       //For Dropdown
      jQuery(".wfm_table .wcf_ddl").on('change', function() {        
        var pid=jQuery(this).find(':selected').attr('data-pid');
        wcf_get_additional_cost2(pid);
        var price_html=jQuery(this).find(':selected').attr('data-price');
        var price=jQuery(this).find(':selected').attr('data-val');
        var id=jQuery(this).find(':selected').attr('data-id');                
        sid='ddl_span_'+ id +'_' + pid;
        tid ='ddl_txt_'+ id + '_' + pid;
        //jQuery("#"+sid).html(price_html);
        jQuery("#"+tid).val(price);        
        return false;
      });
      //for radio button
      jQuery(".wcf_rr").change(function () {
        var pid=jQuery(this).attr('data-pid');        
        wcf_get_additional_cost2(pid);
      });
    });
    
    function wcf_get_additional_cost2(pid){   
     var frm = jQuery('.cf_frm_'+ pid);
     var ajax_url = '<?php echo admin_url( 'admin-ajax.php' ); ?>';     
     var form = frm;
      jQuery.ajax({
        type: "POST",
        url:ajax_url,
        data : {
            'action': 'wcf_additional_cost',                  
            'wcf_data': frm.serialize(),
            'wcf_pid':pid
            //'wcf_data': serialized
        },
        success: function(data){                
          if(data!=0){
            jQuery("#wcf_c_"+pid).html(data);
            jQuery(".wcf_add_cost_"+pid).show();
          }else{                  
            jQuery(".wcf_add_cost_"+pid).hide();
          }          
        }
      });    
   } 
    
</script>        
  <?php          
  
}

function wfm_show_prod2($loop,$wfm_img_size){
      if ($loop->have_posts()){        
        echo '<div class="submenu"><ul><table class="wfm_table">';
        foreach($loop->posts as $val){
          $product = wc_get_product($val->ID );                              
          $att_value='';
          if($product->is_type( 'variable')){
            $default_att=$product->get_default_attributes();
            if(!empty($default_att)){
              foreach ($default_att as $att_val){
                $att_value= $att_val;
              }
            }
          }
          $is_cat=0;
          
          if($is_cat==0){
            $variation_display=false;
            $variation=false;
            if (get_option('wfm_display_variation')=='1'){
              $variation_display= true;
            }            
            
            if ($variation_display == true){
                $variation_query = new WP_Query();
                $args_variation = array(
                  'post_status' => 'publish',
                  'post_type' => 'product_variation',
                  'posts_per_page'   => -1,  
                  'post_parent' => $val->ID
                );                
                $variation_query->query($args_variation);

                if ($variation_query->have_posts()){
                  $variation=true;
                }
            }
             ini_set('display_errors','Off');
             if(function_exists('wrm_item_custom_field')){
               $variation=false;
             }             
            if($variation==true && $product->is_type( 'variable' )){
              //----------------------------------------------------              
              $product_name_org='<div class="wfm_name"><a href="'.WFM_BASE_URL.'/includes/wfm-popup-data.php?pid='.$val->ID.'" class="simple-ajax-popup-align-top">'.$val->post_title.'</a></div>';
              $prod_des='';
              if($val->post_content){
                $prod_des=$val->post_content;
                if(strlen($prod_des)>=120){
                  $prod_des = substr($prod_des,0,140).'... <a href="'.WFM_BASE_URL.'/includes/wfm-popup-data.php?pid='.$val->ID.'" class="simple-ajax-popup-align-top">Read More..</a>';
                }   
              }
                            
              $ddl_att_val='';              
              $vq=$variation_query->posts;
              $prod_price='';
              $wfm_var_id='';

              foreach($vq as $var_data){
                $product = wc_get_product($var_data->ID);                
                $attributes= woocommerce_get_formatted_variation($product->get_variation_attributes(),true);
                $attributes=  explode(':', $attributes); 
                
                $att_value=strtolower($att_value);
                $att_curr=strtolower($attributes[1]);
                $att_curr = str_replace(' ', '', $att_curr);
                $select='';
                
                //-------price
                  $product_price=woocommerce_price($product->get_price());
                  if($att_value==''){
                    if(!$prod_price){                    
                      $prod_price=$product_price;
                      $wfm_var_id=$var_data->ID;
                    }
                  
                  }else if($att_value==$att_curr){                    
                    $prod_price=$product_price;
                    $wfm_var_id=$var_data->ID;
                    $select='selected="selected"';
                  }
                  
                //------dropdown product variation
                  $ddl_att_val.='<option '.$select.' value='.$var_data->ID.'>'.$attributes[1].'</option>';
                
                //-------image
                  $img_url = WFM_BASE_URL. '/images/placeholder.png';
                  if (has_post_thumbnail($var_data->ID)){
                    $img_url2 = wp_get_attachment_url( get_post_thumbnail_id($var_data->ID) );                    
                    $thumb = wp_get_attachment_image_src( get_post_thumbnail_id($var_data->ID), 'thumbnail' );
                    $img_url = $thumb['0'];
                    
                  } else if (has_post_thumbnail($val->ID)){
                    $img_url2 = wp_get_attachment_url( get_post_thumbnail_id($val->ID) );                    
                    $thumb = wp_get_attachment_image_src( get_post_thumbnail_id($val->ID), 'thumbnail' );
                    $img_url = $thumb['0'];                   
                  }
                  //--------stock
                  $max_stock=1000;
              }//end foreach
              //prod_image
              $img_url = WFM_BASE_URL. '/images/placeholder.png';
              if (has_post_thumbnail($val->ID)){
                    $img_url2 = wp_get_attachment_url( get_post_thumbnail_id($val->ID) );                    
                    $thumb = wp_get_attachment_image_src( get_post_thumbnail_id($val->ID), 'thumbnail' );
                    $img_url = $thumb['0'];                   
              }
              $prod_option= '<select onchange="wfm_ddl(this,'.$val->ID.');" style="max-width:100px;">'.$ddl_att_val.'</select>';
              echo '<tr>';
              if (get_option('wfm_display_image')=='1'){
                if (get_option('wfm_display_image_preview')=='1'){
                    echo '<td valign="top"><a href="'.$img_url.'" class="preview"><img src="'.$img_url.'" height="'.$wfm_img_size.'" width="'.$wfm_img_size.'" /></a></td>';
                }else{
                      echo '<td><img src="'.$img_url.'" height="'.$wfm_img_size.'" width="'.$wfm_img_size.'" /></td>';
                }
              }              
              //----------------------------------------------For Custom Field--------------------------------------------------------
              $cf_data='';
              $cf='';              
              $chk  = get_post_meta($val->ID, '_wcf_custom_degin_checkbox', true);
              if($chk=='on'){
                  $curr=get_woocommerce_currency_symbol();
                  $cf_data= '<div style="display:none; width:100%;" class="wcf_add_cost wcf_add_cost_'.$val->ID.'">Additional cost: '.$curr.'<span id="wcf_c_'.$val->ID.'"></span></div>';
                  $cf_data.= '<input type="hidden" name="wcf_cost_'.$val->ID.'" id="wcf_cost_'.$val->ID.'" value="" />';
                  $cf='<form class="cf_frm_'.$val->ID.'">';
                  //$cf.=wrm_item_custom_field($val->ID);
                  $cf.='</form>';                  
              }              
              echo '<td class="wfm_td_title">'.$product_name_org.'<div class="wfm_des">'.$prod_des.'</div></td><td>'.$cf_data.' '.$cf.'</td>';
              ?>
                    <td valign="top" class="wfm_td_quantity">
                      <input type="hidden" name="wfm_var_id" id="wfm_var_id_<?php echo $val->ID?>" value="<?php echo $wfm_var_id;?>" />
                        <?php
                        if($max_stock!=0){                            
                          ?><input type="number" style="width:55px;" value="1" min="1"  max="<?php echo $max_stock;?>" name="product_qty_<?php echo $val->ID?>" id="product_qty_<?php echo $val->ID?>" /><?php                            
                        }else{                            
                           ?><input type="number" style="width:55px;" value="0" min="0" max="0" name="product_qty_<?php echo $val->ID?>" id="product_qty_<?php echo $val->ID?>" /><?php
                        }
                        ?>
                    </td>  
                  <?php                  
                  if($product->regular_price && $max_stock!=0){  
                  echo '<td class="wfm_td_price">';

                  echo    '<div id="wfm_price_'.$val->ID.'">
                          '.$prod_price.'
                      </div>  
                      <div class="wfm_add_btn"><a onclick="wfm_add_prod('.$val->ID.',1);"><div class="wfm_add_cart"></div></a></div>
                      <div class="wfm_loading" id="wfm_loader'.$val->ID.'" style="display: none;"></div>
                      </td>';
                  }else {
                    echo '<td></td>';
                  }
                  //echo '<td width="30"><div class="wfm_loading" id="wfm_loader'.$val->ID.'" style="display: none;"></div></td></tr>';
                  echo '</tr>';
            }else{
                wfm_show_prod($val->ID,$wfm_img_size, $val->post_title);
            }
          }//is cat check end         
        }//end foreach
          echo '</table></ul></div>';
          
      }//if
}

function wfm_show_prod($id, $wfm_img_size, $post_title){
  //wrm_item_custom_field($id);
    $max_stock=500;
    ini_set('display_errors','Off');
    $product=wc_get_product( $id );        
    if($product->get_stock_quantity()!=''){
      $max_stock=$product->get_stock_quantity();
    }
    $availability=$product->get_availability();

    if($availability['class']=='out-of-stock'){
      $max_stock=0;
    }
    $product_name='<div class="wfm_name"><a href="'. WFM_BASE_URL.'/includes/wfm-popup-data.php?pid='.$id.'" class="simple-ajax-popup-align-top">'.$post_title.'</a>
      </div>';
    $product = wc_get_product($id);
    $prod_des='';
    if($product->post->post_content){
      $prod_des=$product->post->post_content;   
      if(strlen($prod_des)>=70){
         $prod_des = substr($prod_des,0,50).'... <a href="'. WFM_BASE_URL.'/includes/wfm-popup-data.php?pid='.$id.'" class="simple-ajax-popup-align-top">Read More</a>';
      }
    }

    $product_price =$product->get_price_html();
    
    if (has_post_thumbnail($id)){
        $img_url2 = wp_get_attachment_url( get_post_thumbnail_id($id,'thumbnail'));
        $thumb = wp_get_attachment_image_src( get_post_thumbnail_id($id), 'thumbnail' );
        $img_url = $thumb['0'];

    } else {
        $img_url=WFM_BASE_URL. '/images/placeholder.png';
        $img_url2=$img_url;
    }
    if (has_post_thumbnail($id)){
        $img_url2 = wp_get_attachment_url( get_post_thumbnail_id($id,'thumbnail'));
        $thumb = wp_get_attachment_image_src( get_post_thumbnail_id($id), 'thumbnail' );
        $img_url = $thumb['0'];

    } else {
        $img_url=WFM_BASE_URL. '/images/placeholder.png';
        $img_url2=$img_url;
    }
    echo '<tr>';
    if (get_option('wfm_display_image')=='1'){
      if (get_option('wfm_display_image_preview')=='1'){
        echo '<td class="wfm_td_img" valign="top"><a href="'.$img_url2.'" class="preview"><img src="'.$img_url.'" height="'.$wfm_img_size.'" width="'.$wfm_img_size.'" /></a></td>';
      }else{                
        echo '<td class="wfm_td_img" valign="top"><img src="'.$img_url.'" height="'.$wfm_img_size.'" width="'.$wfm_img_size.'" /></td>';
      }
    }
    
    //-----------------------------Custom Field------------------------------------------
    $cf_data='';
    $cf='';              
    $chk  = get_post_meta($id, '_wcf_custom_degin_checkbox', true);
    if($chk=='on'){
       echo '<td class="wfm_td_title" colspan="2">'.$product_name.'<div class="wfm_des">'.$prod_des.'</div>';
        $curr=get_woocommerce_currency_symbol();
        $cf_data= '<div style="display:none; width:100%;" class="wcf_add_cost wcf_add_cost_'.$id.'">Additional cost: '.$curr.'<span id="wcf_c_'.$id.'"></span></div>';
        $cf_data.= '<input type="hidden" name="wcf_cost_'.$id.'" id="wcf_cost_'.$id.'" value="" />';
        $cf='<form class="cf_frm_'.$id.'">';
        $cf.=wrm_item_custom_field($id);
        $cf.='</form>';
        echo '<br />'.$cf_data.''.$cf.'</td>'; 
    }else{
      echo '<td colspan="2" class="wfm_td_title">'.$product_name.'<div class="wfm_des">'.$prod_des.'</div></td>';
    }    
    ?>
      <td class="wfm_td_quantity" valign="top">
          <?php
          if($max_stock!=0){          
            ?><input type="number" style="width:55px;" value="1" min="0" max="0<?php echo $max_stock;?>" name="product_qty_<?php echo $id;?>" id="product_qty_<?php echo $id;?>" /><?php
          }else{
            ?><input type="number" style="width:55px;" value="0" min="0" max="0" name="product_qty_<?php echo $id;?>" id="product_qty_<?php echo $id;?>" /><?php
          }
          ?>        
      </td>  
    <?php
    
    if($max_stock!=0){    
      echo '<td class="wfm_td_price">
             <div>'.$product_price.'</div>
             <div class="wfm_add_btn"><a onclick="wfm_add_prod('.$id.', 0);"><div class="wfm_add_cart"></div></a></div>
             <div class="wfm_loading" id="wfm_loader'.$id.'" style="display: none;"></div>  
          </td>';
    }else{
      echo '<td><div>'.$product_price.'</div></td>';
    }    
    echo '</tr>';    
}
add_action( 'wp_ajax_nopriv_wfm_addtocart','wfm_addtocart' );
add_action( 'wp_ajax_wfm_addtocart', 'wfm_addtocart' );

add_action( 'wp_ajax_nopriv_wfm_cart_amount','wfm_cart_amount' );
add_action( 'wp_ajax_wfm_cart_amount', 'wfm_cart_amount' );

add_action( 'wp_ajax_nopriv_wfm_getvarprice','wfm_getvarprice' );
add_action( 'wp_ajax_wfm_getvarprice', 'wfm_getvarprice' );
?>